Package ru.bitel.bgbilling.kernel.contract.param.common.bean

# Enum ContractParameterPrefType

java.lang.Object
java.lang.Enum<ContractParameterPrefType>
ru.bitel.bgbilling.kernel.contract.param.common.bean.ContractParameterPrefType

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ContractParameterPrefType>`, `java.lang.constant.Constable`, `GuiTitlable`

    public enum ContractParameterPrefType
    extends java.lang.Enum<ContractParameterPrefType>
    implements GuiTitlable

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `TYPE_ADDRESS` |
  `TYPE_CONTRACT_REF` |
  `TYPE_DATE` |
  `TYPE_EMAIL` |
  `TYPE_FLAG` |
  `TYPE_LIST` |
  `TYPE_MULTILIST` |
  `TYPE_PHONE` |
  `TYPE_SEPARATOR` |
  `TYPE_SERVICING_PERSON` |
  `TYPE_TEXT` |
  `TYPE_UNKNOWN` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `getGuiTitle()` | Строка - имя объекта.
  `int` | `getId()` |
  `java.lang.String` | `getTableName()` |
  `java.lang.String` | `getTitle()` |
  `static ContractParameterPrefType` | `getType​(int id)` |
  `java.lang.String` | `toString()` |
  `static ContractParameterPrefType` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static ContractParameterPrefType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### TYPE_UNKNOWN

    public static final ContractParameterPrefType TYPE_UNKNOWN

  - ### TYPE_TEXT

    public static final ContractParameterPrefType TYPE_TEXT

  - ### TYPE_ADDRESS

    public static final ContractParameterPrefType TYPE_ADDRESS

  - ### TYPE_EMAIL

    public static final ContractParameterPrefType TYPE_EMAIL

  - ### TYPE_SERVICING_PERSON

    public static final ContractParameterPrefType TYPE_SERVICING_PERSON

  - ### TYPE_FLAG

    public static final ContractParameterPrefType TYPE_FLAG

  - ### TYPE_DATE

    public static final ContractParameterPrefType TYPE_DATE

  - ### TYPE_LIST

    public static final ContractParameterPrefType TYPE_LIST

  - ### TYPE_CONTRACT_REF

    public static final ContractParameterPrefType TYPE_CONTRACT_REF

  - ### TYPE_PHONE

    public static final ContractParameterPrefType TYPE_PHONE

  - ### TYPE_SEPARATOR

    public static final ContractParameterPrefType TYPE_SEPARATOR

  - ### TYPE_MULTILIST

    public static final ContractParameterPrefType TYPE_MULTILIST

- ## Method Details

  - ### values

    public static ContractParameterPrefType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ContractParameterPrefType valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null

  - ### getId

    public int getId()

  - ### getTitle

    public java.lang.String getTitle()

  - ### getType

    public static ContractParameterPrefType getType​(int id)

  - ### toString

    public java.lang.String toString()
    Overrides:
      `toString` in class `java.lang.Enum<ContractParameterPrefType>`

  - ### getTableName

    public java.lang.String getTableName()

  - ### getGuiTitle

    public java.lang.String getGuiTitle()
    Description copied from interface: `GuiTitlable`
    Строка - имя объекта. Скорее всего уникальная. Используется в комбобоксах, например, итд.
    Specified by:
      `getGuiTitle` in interface `GuiTitlable`
    Returns:
      Строка - представление объекта.